> ## Documentation Index
> Fetch the complete documentation index at: https://docs.juju.bi/llms.txt
> Use this file to discover all available pages before exploring further.

# Copilot Custom Agents

> Track which REST API endpoints are currently supported by Jujubi.

export const SUPPORT_STATUS_CONFIG = {
  supported: {
    color: 'green',
    label: 'Supported'
  },
  partial: {
    color: 'blue',
    label: 'Partial'
  },
  unsupported: {
    color: 'yellow',
    label: 'Planned'
  },
  never: {
    color: 'red',
    label: 'Never'
  }
};

export const SupportStatus = ({status, count}) => {
  const config = SUPPORT_STATUS_CONFIG[status] ?? SUPPORT_STATUS_CONFIG.unsupported;
  const text = count == null ? config.label : `${config.label}: ${count}`;
  return <Badge color={config.color} size="sm">
      {text}
    </Badge>;
};

## Unsupported

* [`GET /enterprises/{enterprise}/copilot/custom-agents`](https://docs.github.com/enterprise-cloud@latest/rest/copilot/copilot-custom-agents#get-custom-agents-for-an-enterprise) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Get custom agents for an enterprise
* [`GET /enterprises/{enterprise}/copilot/custom-agents/source`](https://docs.github.com/enterprise-cloud@latest/rest/copilot/copilot-custom-agents#get-the-source-organization-for-custom-agents-in-an-enterprise) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Get the source organization for custom agents in an enterprise
* [`PUT /enterprises/{enterprise}/copilot/custom-agents/source`](https://docs.github.com/enterprise-cloud@latest/rest/copilot/copilot-custom-agents#set-the-source-organization-for-custom-agents-in-an-enterprise) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Set the source organization for custom agents in an enterprise
* [`DELETE /enterprises/{enterprise}/copilot/custom-agents/source`](https://docs.github.com/enterprise-cloud@latest/rest/copilot/copilot-custom-agents#delete-the-custom-agents-source-for-an-enterprise) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Delete the custom agents source for an enterprise
